Exemplo de NLP usando modelo com Imagem

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /transformersapi/1.0/nlp

Para este tipo de requisição pode-se trocar o modelo e provider conforme sua necessidade. No exemplo anterior, no item: 'Exemplo de NLP usando OpenAI com Function' há um exemplo de uso no meio de um contexto de conversa. Exemplo de uso para descrever o que há na imagem:

application/json

Body

  • messages array[object]
    Hide messages attributes Show messages attributes object
    • role string
    • content array[object]
      Hide content attributes Show content attributes object
      • type string
      • image_url object
        Hide image_url attribute Show image_url attribute object
        • url string
  • max_len number
  • temperature number
  • provider string
  • token array[object]
    Hide token attributes Show token attributes object
    • access_key string
    • secret_key string
    • token string
  • model string

Responses

  • 200 application/json

    Requisição processada com sucesso. Retorna os dados correspondentes ao filtro informado.

    Hide response attributes Show response attributes object
    • message string
    • used_tokens number
  • 401 application/json

    Token de autenticação ausente ou inválido. Envie o header Authorization: Bearer {token}.

    Hide response attribute Show response attribute object
    • status string
  • 403 application/json

    Acesso negado. O token informado não possui permissão para este recurso.

    Hide response attribute Show response attribute object
    • status string
  • 404 application/json

    Recurso não encontrado para os parâmetros informados.

    Hide response attribute Show response attribute object
    • status string
POST /transformersapi/1.0/nlp
curl \
 --request POST 'https://api.neppo.com.br/transformersapi/1.0/nlp' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"messages":[{"role":"user","content":[{"type":"image_url","image_url":{"url":"https://files.neppo.com.br/storage/file/comercial/2025/05/07/188e35b2-48c9-4db5-bcff-efa95458f01b.jpg"}}]}],"max_len":256,"temperature":0,"provider":"OpenAI","token":[{"access_key":"","secret_key":"","token":"{YOUR_PROVIDER_TOKEN_HERE}"}],"model":"gpt-4-turbo"}'
Request example
{
  "messages": [
    {
      "role": "user",
      "content": [
        {
          "type": "image_url",
          "image_url": {
            "url": "https://files.neppo.com.br/storage/file/comercial/2025/05/07/188e35b2-48c9-4db5-bcff-efa95458f01b.jpg"
          }
        }
      ]
    }
  ],
  "max_len": 256,
  "temperature": 0,
  "provider": "OpenAI",
  "token": [
    {
      "access_key": "",
      "secret_key": "",
      "token": "{YOUR_PROVIDER_TOKEN_HERE}"
    }
  ],
  "model": "gpt-4-turbo"
}
Response examples (200)
{
  "message": "The image shows a table listing various products with their respective product reference numbers, quantities, and descriptions. Here are the details from the table:\n\n1. **Product Reference:** 105770\n   - **Quantity:** 1,000\n   - **Description:** SENSOR DE PRESENÇA + FOTOCELULA QUALITRONIX COM SOQUETE\n\n2. **Product Reference:** 111561\n   - **Quantity:** 2,000\n   - **Description:** ALICATE CORTE DIAGONAL EDA 6\" LARANJA/PRETO - 8VN\n\n3. **Product Reference:** 8249\n   - **Quantity:** 1,000\n   - **Description:** TRENA EDA EMBORRACHADA LARANJA 10x25mm - OBE\n\n4. **Product Reference:** 103052\n   - **Quantity:** 2,000\n   - **Description:** AROMATIZANTE GITANES TECHNO 80ml\n\n5. **Product Reference:** 103053\n   - **Quantity:** 2,000\n   - **Description:** AROMATIZANTE GITANES CARRO NOVO 80ml\n\n6. **Product Reference",
  "tool_calls": null,
  "used_tokens": 688
}
Response examples (401)
{
  "status": "Unauthorized"
}
Response examples (403)
{
  "status": "Forbidden"
}
Response examples (404)
{
  "status": "Not Found"
}